%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		kphotobymail
Version: 	0.4
Release:	1%{?dist}
Summary:	A PyQt based application for uploading photos to flickr account
Group:		Applications/Internet
License:	GPL
URL:		http://kphotobymail.sourceforge.net/
Source: 	http://dl.sourceforge.net/sourceforge/kphotobymail/kphotobymail-%{version}.tar.gz

BuildArch: 	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils python >= 2.4, PyQt >= 3.15
Requires:	python >= 2.4, PyQt >= 3.15

%description
Kphotobymail is a PyQt based application for uploading photos 
to flickr account.You can also use it to send emails with photo 
attachment on the fly.

%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --vendor fedora				\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications		\
	--add-category X-Fedora					\
	--add-category Application				\
	--delete-original					\
	${RPM_BUILD_ROOT}%{_datadir}/applications/kphotobymail.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs/COPYING docs/LICENSE docs/README
%{_bindir}/kphotobymail
%dir %{python_sitelib}/Kphotobymail
%{python_sitelib}/Kphotobymail/*.py
%{python_sitelib}/Kphotobymail/*.pyc
%ghost %{python_sitelib}/Kphotobymail/*.pyo
%dir %{_datadir}/kphotobymail
%{_datadir}/kphotobymail/*
#No need to keep the previous kphotobymail.data
%config  /etc/kphotobymail.data
%{_datadir}/pixmaps/kphotobymail.png
%{_datadir}/applications/fedora-kphotobymail.desktop

%changelog
* Sat Oct 07 2006 Kushal Das <kushal@fedoraproject.org> 0.4-1
- new release

* Fri Sep 29 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-4
- spaces fixed, now having Tabs

* Fri Sep 29 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-3
- matched with UPSTREAM, BuildRequires also fixed

* Fri Sep 29 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-2
- added desktop-file-install

* Thu Sep 28 2006 Kushal Das <kushal@fedoraproject.org> 0.3.2-1
- Initial RPM release

